Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Flächen aus Linien und Volumenkörper aus Flächen erstellen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Flächen aus Linien und Volumenkörper aus Flächen erstellen (402 mal gelesen)
BLWE
Mitglied



Sehen Sie sich das Profil von BLWE an!   Senden Sie eine Private Message an BLWE  Schreiben Sie einen Gästebucheintrag für BLWE

Beiträge: 15
Registriert: 01.11.2019

Windwows 365, AutoCAD 2019

erstellt am: 13. Nov. 2019 21:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi,

kann mir jemand erklären bzw. ein Video verlinken wie man am einfachsten Flächen aus "Linien" (Ellipsen, Freie "Formen" etc.) erzeugt und wie man anschließend aus zusammengesetzten Flächen am einfachsten Volumenkörper erzeugt?

LG

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Siegfried Rief
Mitglied
Lehrer, Architekt


Sehen Sie sich das Profil von Siegfried Rief an!   Senden Sie eine Private Message an Siegfried Rief  Schreiben Sie einen Gästebucheintrag für Siegfried Rief

Beiträge: 210
Registriert: 16.11.2011

ACAD 2018, imos iX2017 im Novellnetz
Fachschule für Holztechnik Stuttgart

erstellt am: 13. Nov. 2019 22:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für BLWE 10 Unities + Antwort hilfreich

Hi,

vielleicht solltest du mal z.B. mit einem Bild illustrieren, was du zu modellieren vor hast? Raumschiffe, Möbel, Zahnräder ...

Gruß

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1154
Registriert: 11.01.2006

Win 10
ACAD 2019

erstellt am: 14. Nov. 2019 08:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für BLWE 10 Unities + Antwort hilfreich

Schon "Region" ausprobiert ?

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

BLWE
Mitglied



Sehen Sie sich das Profil von BLWE an!   Senden Sie eine Private Message an BLWE  Schreiben Sie einen Gästebucheintrag für BLWE

Beiträge: 15
Registriert: 01.11.2019

Windwows 365, AutoCAD 2019

erstellt am: 14. Nov. 2019 20:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi,

z.B. die Flächen in diesem Video:

https://knowledge.autodesk.com/community/screencast/425c1fa8-db16-48e1-acf3-04293fb5ee7c

Region hatte ich teilweise heute schon versucht.

Also, eigentlich will ich nur wissen wie ich unterschiedliche Konturen wie Ellipsen, Linien etc. verbinden und als Fläche definieren kann.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5814
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 15. Nov. 2019 06:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für BLWE 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von BLWE:

... wie man am einfachsten Flächen aus "Linien" (Ellipsen, Freie "Formen" etc.) erzeugt und wie man anschließend aus zusammengesetzten Flächen am einfachsten Volumenkörper erzeugt?

LG


Grundsätzlich erst mal:
Um Volumenkörper zu erzeugen, muß man nicht zwingend den Weg über vorher erzeugte Flächen gehen. Es gibt zahlreiche Befehle, die direkt Volumenkörper erzeugen (Vordefinierte Grundkörper wie Quader, Kugel, Zylinder, Kegel u.v.m., oder aus anderen Geometrien abgeleitete Volumenkörper durch z.B. Extrusion, Rotation, Klickziehen, Sweep, Anheben, ...).
Ebenso gibt es Befehle, mit denen man Flächen erzeugen kann (Extrusion, Rotation, Sweep, Anheben, Planfläche u.v.m.).
Dir wird auffallen, daß es einige Befehle gibt, mit denen man sowohl Flächen als auch Volumenkörper erzeugen kann. Offene Konturen, wie Linie, Bogen, nicht geschlossene Polylinie, ... erzeugen immer nur Flächen. Bei geschlossenen Konturen (Kreis, Ellipse, geschlossene Polylinie, ...) kann man während der Befehlsausführung wählen, ob man Flächen oder Volumenkörper erzeugen möchte.
Last not least kann man aus mehreren Flächen, die einen bestimmten Raum vollständig wasserdicht umschließen Volumenkörper erzeugen (Befehl Flächeform).
Und dann gibt es noch eine Vielzahl von Befehlen und Möglichkeiten, bereits erstellte Volumenkörper oder Flächen nachträglich zu bearbeiten.
Sowohl die Volumenkörper als auch Flächenmodelle haben jeweils ihre Vor- und Nachteile. Man muß sich entscheiden, was man erstellen möchte.

Bevor ich das jetzt alles an einem Video zeige, probiere die o.g. Befehle einfach erst mal aus. (Die findest Du auch alle im Arbeitsbereich 3D-Modellierung in den Registern Volumenkörper und Fläche). Und wenn Du dabei auf Probleme stößt und konkrete Fragen hast, melde Dich wieder.


Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1154
Registriert: 11.01.2006

Win 10
ACAD 2019

erstellt am: 15. Nov. 2019 09:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für BLWE 10 Unities + Antwort hilfreich

Zitat:
Also, eigentlich will ich nur wissen wie ich unterschiedliche Konturen wie Ellipsen, Linien etc. verbinden und als Fläche definieren kann.

Ich bleibe mal bei der Region ... aber.

Du kannst aus Linien, Polylinien, Bögen, Splines,... eine Region erstellen wenn diese eine geschlossene Kontur bilden.
Also wenn da irgendwo eine Lücke ist gehts nicht. Erst Lücke schließen.
Wenn die Kuntur sich selbst irgendwo kreuzt oder doppelte Kontrollpunkte hat geht das auch nicht.
Vielleicht gibts noch andere Ausnahmen aber mir fällt spontan nichts ein.

Eine Ellypse ist ja schon eine geschlossene Kontur also kannst du daraus direkt eine Region machen.

Regionen kannst du mit den Boolschen-Operationen "Vereinigung" "Differenz" und "Schnittmenge" bearbeiten.

Damit bitte arbeiten, nicht nur fünf Minuten, ausprobieren, verstehen, lernen.
Dann kann es hier weitergehen.

Schönes Wochenende 

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5814
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 15. Nov. 2019 13:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für BLWE 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Andreas Kraus:

Vielleicht gibts noch andere Ausnahmen aber mir fällt spontan nichts ein.


Die Objekte müssen koplanar sein, d.h sie müssen alle in einer Ebene liegen.

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

BLWE
Mitglied



Sehen Sie sich das Profil von BLWE an!   Senden Sie eine Private Message an BLWE  Schreiben Sie einen Gästebucheintrag für BLWE

Beiträge: 15
Registriert: 01.11.2019

Windwows 365, AutoCAD 2019

erstellt am: 15. Nov. 2019 18:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Euch,

werde in Zukunft etwas rumprobieren und melde mich wieder, falls ich Hilfe brauche.

LG

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

archtools
Mitglied



Sehen Sie sich das Profil von archtools an!   Senden Sie eine Private Message an archtools  Schreiben Sie einen Gästebucheintrag für archtools

Beiträge: 700
Registriert: 09.10.2004

Entwickler für AutoCAD, BricsCAD u.a., alle Systeme

erstellt am: 16. Nov. 2019 12:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für BLWE 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von BLWE:
Hi,

kann mir jemand erklären bzw. ein Video verlinken wie man am einfachsten Flächen aus "Linien" (Ellipsen, Freie "Formen" etc.) erzeugt und wie man anschließend aus zusammengesetzten Flächen am einfachsten Volumenkörper erzeugt?

LG


<Lisp-Programm wg fehlender Funktionen aus Toolbox gelöscht>

[Diese Nachricht wurde von archtools am 17. Nov. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5814
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 17. Nov. 2019 09:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für BLWE 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von archtools:

Hier ist ein kleines Lisp-Programm,

Super Idee! (Wenn auch hier vielleicht overpaced ?)

Ergänzender Hinweis:
Die Zeichenfolge ":" gefolgt von "p" erzeugt (zumindest in meinem Browser, aber sicherlich auch bei anderen) einen Smiley.
Sollten im code also irgendwelche Smileys auftauchen, (z.B. bei "(defun c   l-intersect ..." und etlichen weiteren Stellen), muß in der LISP-Datei der Smiley durch einen Doppelpunkt, gefolgt von einem p ersetzt werden, also es muß heißen "(defun c:Pl-intersect ...". (Ich habe hier das P mal groß geschrieben, da erfolgt keine Konvertierung).

@Tom: fehlt hier noch die Funktion (ss->list ...) ?

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

[Diese Nachricht wurde von jupa am 17. Nov. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

archtools
Mitglied



Sehen Sie sich das Profil von archtools an!   Senden Sie eine Private Message an archtools  Schreiben Sie einen Gästebucheintrag für archtools

Beiträge: 700
Registriert: 09.10.2004

Entwickler für AutoCAD, BricsCAD u.a., alle Systeme

erstellt am: 17. Nov. 2019 10:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für BLWE 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von jupa:

Super Idee! (Wenn auch hier vielleicht overpaced ?)

Ergänzender Hinweis:
Die Zeichenfolge ":" gefolgt von "p" erzeugt (zumindest in meinem Browser, aber sicherlich auch bei anderen) einen Smiley.
Sollten im code also irgendwelche Smileys auftauchen, (z.B. bei "(defun c     l-intersect ..." und etlichen weiteren Stellen), muß in der LISP-Datei der Smiley durch einen Doppelpunkt, gefolgt von einem p ersetzt werden, also es muß heißen "(defun c:Pl-intersect ...". (Ich habe hier das P mal groß geschrieben, da erfolgt keine Konvertierung).

@Tom: fehlt hier noch die Funktion (ss->list ...) ?

Jürgen


Danke für den Hinweis. Da muss der Forenbetreiber ein wenig an seiner Software basteln, denn innerhalb von CODE Segmenten sollte es keinerlei Konvertierung geben. Und hier iwst die vergessene Funktion und die Umkehrfunktion dazu:

Code:

(defun ss->list (sset / eset counter)
  (setq counter 0)
  (if (= 'PICKSET (type sset))
    (repeat (sslength sset)
      (setq eset    (cons (ssname sset counter) eset)
    counter (1+ counter)
      )
    )
  )
  eset
)

(defun list->ss (eset / sset x)
  (setq sset (ssadd))
  (if (listp eset)
    (mapcar '(lambda (x)
       (if (= 'ENAME (type x))
(setq sset (ssadd x sset))
       )
     )
    eset
    )
  )
  sset
)



[Diese Nachricht wurde von archtools am 17. Nov. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5814
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 17. Nov. 2019 12:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für BLWE 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von archtools:

Und hier ist die vergessene Funktion und die Umkehrfunktion dazu:
...


Danke.
Muß aber leider nochmal reklamieren: auch eine Funktion(sdefinition) "at-newset" fehlt. (Ich hab den code bisher noch nicht tiefer analysiert, bemerke die Defekte also nur bzw. erst beim Testen.)      Aber ein Teilergebnis (eine alles umgrenzende Polylinie) hab ich schon mal, juhu.
Us gibts erst wenn's läuft     

    
Jürgen

[Nachtrag]: Die anderen verwendeten (at-...) Funktionene fehlen auch alle.

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

[Diese Nachricht wurde von jupa am 17. Nov. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

archtools
Mitglied



Sehen Sie sich das Profil von archtools an!   Senden Sie eine Private Message an archtools  Schreiben Sie einen Gästebucheintrag für archtools

Beiträge: 700
Registriert: 09.10.2004

Entwickler für AutoCAD, BricsCAD u.a., alle Systeme

erstellt am: 17. Nov. 2019 13:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für BLWE 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von jupa:

Nachtrag]: Die anderen verwendeten (at-...) Funktionene fehlen auch alle.


Oh, sorry. Da hab' ich den Code vorher leider nicht überprüft, und habe deshalb nicht bemerkt, dass der von vielen Funktionen aus meiner Toolsammlung abhängt. Das sind leider zu viele Funktionen, die ich nachtragen müsste, und nicht alle möchte ich veröffentlichen.

Ignoriert das isp-Programm bitte.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz